Bug 8604 - intlfonts is missing from distribution
intlfonts is missing from distribution
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Mason
Depends On:
  Show dependency treegraph
Reported: 2000-01-19 10:11 EST by pavel.janik
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-05 16:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description pavel.janik 2000-01-19 10:11:32 EST
I think it is worthy to add intlfonts (see gnu.org/..intlfonts/) to the
distribution. X server can use them, emacs can use them...
Comment 1 Cristian Gafton 2000-01-27 03:42:59 EST
assigne to XFree86
Comment 2 Preston Brown 2000-02-14 12:52:59 EST
we include alternative international fonts instead.  What benefits do these GNU
fonts offer over those we already include?
Comment 3 pavel.janik 2000-02-15 10:04:59 EST

intlfonts are primarily not about X. They are shared with GNU Emacs too. What
are the benefits of including them in the standard distribution? It is simple -
try C-h h in Emacs and print the buffer. With intlfonts properly installed you
will get very nice document and you can properly use multilanguage support of
Emacs. I've put the sample to http://www.math.muni.cz/~weed/hello.ps.gz Have a
look. I think that the person who created the Emacs package did not read the
INSTALL file at all. The leim package was added too when I requested it! Thank
you for solving this issue. Please move it back to Emacs from XFree...
Comment 4 Preston Brown 2000-05-05 13:33:59 EDT

what do you think of this?
Comment 5 David Mason 2000-05-05 16:05:59 EDT
This package is something like 25M - it'll never fit on the disk as is
- having said that there are some interesting *more obscure* character
sets in there for languages. We could make a stipped down version
(remove what we don't already have in X and get rid of real low res
ones) - perhaps a candidate for the powertools disk if nothing
else. Pango is something else to keep in mind - it will be able to
take use of these fonts and that is a bonus.

My vote - strip it down to a reasonable size... if it fits on the main
disk, fine.. if not get it on powertools (assuming there is room
Comment 6 David Mason 2000-08-22 12:30:58 EDT
not sure if this was put on powertools or not - I still think it is rather large
for the dist compared to what is there

Note You need to log in before you can comment on or make changes to this bug.